org.apache.kylin.jdbc

## Class KylinMetaImpl.MetaTableType

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.MetaTableType

Enclosing class:
  KylinMetaImpl

    public static class KylinMetaImpl.MetaTableType
    extends Object

Metadata describing a table type.

### Field Summary

Fields
`String` `tableType`

### Constructor Summary

Constructors
Constructor and Description
`KylinMetaImpl.MetaTableType(String tableType)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableType

    public final String tableType

### Constructor Detail

#### KylinMetaImpl.MetaTableType

    public KylinMetaImpl.MetaTableType(String tableType)